Skip to main content
GET
/
api
/
public
/
v2
/
skill-collections
/
{identifier}
Get Skill Collection
curl --request GET \
  --url https://api.promptlayer.com/api/public/v2/skill-collections/{identifier} \
  --header 'X-API-KEY: <api-key>'
{
  "skill_collection": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workspace_id": 123,
    "folder_id": 123,
    "root_path": "<string>",
    "name": "<string>",
    "provider": "<string>",
    "is_deleted": true,
    "created_by": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_by": 123,
    "updated_at": "2023-11-07T05:31:56Z",
    "external_ids": [
      {
        "source": "<string>",
        "external_id": "<string>"
      }
    ]
  },
  "files": {},
  "version": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "skill_collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workspace_id": 123,
    "number": 123,
    "root_path_at_version": "<string>",
    "provider": "<string>",
    "file_paths": [
      "<string>"
    ],
    "commit_message": "<string>",
    "release_label": "<string>",
    "archived": true,
    "created_by": 123,
    "user_email": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://promptlayer-add-demo-projects.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Fetch a skill collection by UUID, collection name, or root path.

Behavior Notes

  • Use format=zip to download the selected version as a ZIP archive.
  • Omit format to receive the JSON payload shown in the generated response schema.
  • Use version or label to pin the response to a specific saved version.

Authorizations

X-API-KEY
string
header
required

Path Parameters

identifier
string
required

Skill collection UUID, name, or root_path.

Query Parameters

format
enum<string>

Omit this parameter for JSON, or use zip for an archive download.

Available options:
zip
label
string

Fetch a version pinned by release label. Mutually exclusive with version.

version
integer

Fetch a specific version number. Mutually exclusive with label.

Required range: x >= 1

Response

JSON payload or ZIP archive.

success
enum<boolean>
required
Available options:
true
skill_collection
object
required

A skill collection container in the public API.

files
object
required
version
object
required

A saved version of a skill collection.